package org.algorithm.util;

/**
 * @Auther: fyeman
 * @Date: 2018/7/19/019 10:37
 * @Description:
 */
public enum AlgorithmClassify {
    NEURAL("0"), BAYES("1"), EMERGENCY_NEURAL("2"), OUTPATIENT_NEURAL("3"),
    NEURAL_SYMPTOM("11"),
    NEURAL_DIAG("21"),
    NEURAL_VITAL("31"),
    NEURAL_LIS("41"),
    NEURAL_PACS("51"),
    NEURAL_TREAT("61"),
    NEURAL_HISTORY("71"),
    NEURAL_DIAG_SYMPTOM("111"),
    NEURAL_DIAG_VITAL("131"),
    NEURAL_DIAG_LIS("141"),
    NEURAL_DIAG_PACS("151"),
    NEURAL_DIAG_TREAT("161"),
    NEURAL_DIAG_HISTORY("171");

    private String value;

    AlgorithmClassify(String value) {
        this.value = value;
    }

    public String toString() {
        return value;
    }

    public static AlgorithmClassify parse(String value) {
        switch (value) {
            case "11":
                return AlgorithmClassify.NEURAL_SYMPTOM;
            case "21":
                return AlgorithmClassify.NEURAL_DIAG;
            case "31":
                return AlgorithmClassify.NEURAL_VITAL;
            case "41":
                return AlgorithmClassify.NEURAL_LIS;
            case "51":
                return AlgorithmClassify.NEURAL_PACS;
            case "61":
                return AlgorithmClassify.NEURAL_TREAT;
            case "71":
                return AlgorithmClassify.NEURAL_HISTORY;
            case "111":
                return AlgorithmClassify.NEURAL_DIAG_SYMPTOM;
            case "131":
                return AlgorithmClassify.NEURAL_DIAG_VITAL;
            case "141":
                return AlgorithmClassify.NEURAL_DIAG_LIS;
            case "151":
                return AlgorithmClassify.NEURAL_DIAG_PACS;
            case "161":
                return AlgorithmClassify.NEURAL_DIAG_TREAT;
            case "171":
                return AlgorithmClassify.NEURAL_DIAG_HISTORY;
        }
        return AlgorithmClassify.NEURAL_DIAG;
    }
}
